| Home | Libraries | People | FAQ | More

##### end

###### Description

Returns an iterator pointing to one element past the end of the sequence.

###### Synopsis

    template <typename Sequence>
    typename result_of::end<Sequence>::type
    end(Sequence& seq);

    template <typename Sequence>
    typename result_of::end<Sequence const>::type
    end(Sequence const& seq);

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`seq` | Model of Forward Sequence | The sequence we wish to get an iterator from.

###### Expression Semantics

    end(seq);

Return type:

- A model of Forward Iterator if `seq` is a Forward Sequence else, Bidirectional Iterator if `seq` is a Bidirectional Sequence else, Random Access Iterator if `seq` is a Random Access Sequence.
- A model of Associative Iterator if `seq` is an Associative Sequence.

Semantics: Returns an iterator pointing to one element past the end of the sequence.

###### Header

    #include <boost/fusion/sequence/intrinsic/end.hpp>
    #include <boost/fusion/include/end.hpp>

###### Example

    vector<int, int, int> v(1, 2, 3);
    assert(deref(prior(end(v))) == 3);